routes/web.php
<?php

use Illuminate\Support\Facades\Route;
use App\Http\Controllers\Auth\AdminLoginController;
use App\Http\Controllers\AdminController;
use App\Http\Controllers\ProdukController;
use App\Http\Controllers\OrderController;

/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| contains the "web" middleware group. Now create something great!
|
*/

Route::get('/', function () {
    return view('welcome');
});

Route::prefix('/admin')->name('admin.')->group(function(){
    Route::get('/login', [AdminLoginController::class, 'showLoginForm'])->name('login');
    Route::post('/login', [AdminLoginController::class, 'login'])->name('login');
    Route::post('/logout', [AdminLoginController::class, 'logout'])->name('logout');
    Route::get('/home', [AdminController::class, 'index'])->name('home');
});

Auth::routes(['verify' => true]);

Route::get('/home', [App\Http\Controllers\HomeController::class, 'index'])->name('home');
Route::resources([
    'produk' => ProdukController::class,
    'order' => OrderController::class,
]);

resources/views/form/produk.blade.php
@extends('layouts.app')

@section('content')
<div class="container">
    <div class="row justify-content-center">
        <div class="col-lg-6 col-md-8 col-sm-10">
            @if (count($errors) > 0)
                <div class="alert alert-danger">
                    <ul>
                        @foreach ($errors->all() as $error)
                        <li>{{ $error }}</li>
                        @endforeach
                    </ul>
                </div>
            @endif
            <div class="card">
                <div class="card-header">
                    <h4>
                    @if (!empty($new))
                        {{ $new }}
                    @elseif (!empty($edit))
                        {{ $edit }}
                    @elseif (!empty($view))
                        {{ $view }}
                    @endif Produk
                    </h4>
                </div>

                <form @if (!empty($new)) method="POST" action="{{ route('produk.store') }}" @elseif (!empty($edit)) method="POST" action="{{ route('produk.update', $data->id) }}" @endif>
                @if (!empty($edit))
                    @method('PATCH')
                @endif
                    @csrf
                    <div class="card-body">
                        <div class="form-group row">
                            <label for="nama" class="col-sm-4 col-form-label">Nama Produk</label>
                            <div class="col-sm-8">
                                <input type="text" class="form-control" id="nama" name="nama" @if (!empty($edit) or !empty($view)) value="{{ $data->nama }}" @endif  @if (!empty($view)) disabled @endif required>
                            </div>
                        </div>
                        <div class="form-group row">
                            <label for="jumlah" class="col-sm-4 col-form-label">Jumlah Produk</label>
                            <div class="col-sm-8">
                                <input type="number" class="form-control" id="jumlah" name="jumlah" @if (!empty($edit) or !empty($view)) value="{{ $data->jumlah }}" @endif @if (!empty($view)) disabled @endif required>
                            </div>
                        </div>
                    </div>
                    <div class="card-footer">
                        @if (!empty($new) or !empty($edit))
                        <button type="submit" class="btn btn-primary">Simpan</button>
                        @endif
                        <a href="{{ route('home') }}" class="btn btn-secondary float-right">Kembali</a>
                    </div>
                </form>
            </div>
        </div>
    </div>
</div>
@endsection